# DID-Linked Resources

**DID-Linked Resources** are digital files or data blobs that are permanently and verifiably linked to a specific `did:cheqd` identifier. Each resource is stored on the cheqd ledger and assigned a **UUID**, called the **Resource ID**, which acts as a unique, persistent reference.

Applications can retrieve these resources using either:

* A **fully-qualified Resource ID** (DID + `/resources/<UUID>`)
* Or a **DID URL** with query parameters like `resourceName` and `resourceType`

### Common Use Cases

DID-Linked Resources enable storage of a wide variety of DID-associated metadata, including:

* Trust Registry entries
* Status Lists (e.g. credential revocation)
* Logos and brand assets
* Governance and policy documents
* Credential Schemas and Definitions

## Get started

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><mark style="color:blue;"><strong>Create DID-Linked Resource</strong></mark></td><td>Create a generic DID-Linked Resource (DLR) tied to a cheqd DID using Credo.</td><td></td><td><a href="did-linked-resources/create-dlr">create-dlr</a></td></tr><tr><td><mark style="color:blue;"><strong>Understanding DLRs</strong></mark></td><td>More details about DID-Linked Resources on Cheqd.</td><td></td><td><a href="../../studio/did-linked-resources/understanding-dlrs">understanding-dlrs</a></td></tr><tr><td><mark style="color:blue;"><strong>Understanding AnonCreds</strong></mark></td><td>More details about AnonCreds Object Method.</td><td></td><td><a href="../../advanced/anoncreds">anoncreds</a></td></tr><tr><td><mark style="color:blue;"><strong>Create Schema</strong></mark></td><td>Create an AnonCreds Schema using Credo.</td><td></td><td><a href="did-linked-resources/create-schema">create-schema</a></td></tr><tr><td><mark style="color:blue;"><strong>Create Credential Definition</strong></mark></td><td>Create an AnonCreds Credential Definition using Credo.</td><td></td><td><a href="did-linked-resources/create-cred-def">create-cred-def</a></td></tr></tbody></table>

## Alternatives

Below are a list of SDK alternatives for creating cheqd DID-Linked Resources.

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th><th data-hidden data-card-cover data-type="files"></th></tr></thead><tbody><tr><td><mark style="color:blue;"><strong>cheqd Studio</strong></mark></td><td>Our API product enables users to <strong>use cheqd's functionality with minimal complexity</strong> and easily integrate APIs into existing apps. </td><td><a href="../../studio">studio</a></td><td><a href="https://3569764573-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPVAMvpKH7PYzvXA6u6Cn%2Fuploads%2Fgit-blob-7f1ffe5c0546f0ee4f106ac1a71308c5ee5ad7c8%2Fcheqd_logo_card.jpg?alt=media">cheqd_logo_card.jpg</a></td></tr><tr><td><mark style="color:blue;"><strong>DID Registrar</strong></mark></td><td>Simple setup for building cheqd DIDs into existing applications using REST APIs, building into the <a href="https://uniregistrar.io/">Universal Registrar</a>.</td><td><a href="../../advanced/did-registrar">did-registrar</a></td><td><a href="https://3569764573-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPVAMvpKH7PYzvXA6u6Cn%2Fuploads%2Fgit-blob-a95d1f6e14a4b976289d6f2bd705a8a324f2032f%2FDIF.png?alt=media">DIF.png</a></td></tr><tr><td><mark style="color:blue;"><strong>Veramo</strong></mark></td><td>The Veramo SDK plugin supports JSON, JSON-LD credentials as well as cheqd Credential Payments in an SDK.</td><td><a href="../veramo">veramo</a></td><td><a href="https://3569764573-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPVAMvpKH7PYzvXA6u6Cn%2Fuploads%2Fgit-blob-031af91fab341ad25703bd5d5924bda95df8e5fe%2Fveramo%20logo.png?alt=media">veramo logo.png</a></td></tr><tr><td><mark style="color:blue;"><strong>cheqd Cosmos CLI</strong></mark></td><td>Cosmos-native CLI for creating transactions on cheqd. Should be used for <strong>testing purposes only</strong>.</td><td></td><td><a href="https://3569764573-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPVAMvpKH7PYzvXA6u6Cn%2Fuploads%2Fgit-blob-fab3a1d3aa7f3c99241ea3ab060ec02d66ce2c7c%2Fcosmos%20and%20cheqd.png?alt=media">cosmos and cheqd.png</a></td></tr><tr><td><mark style="color:blue;"><strong>ACA-Py</strong></mark></td><td>ACA-Py (Aries Cloud Agent Python) is an SDK that can issue AnonCreds, JSON-LD and SD-JWT credentials with full cheqd support.</td><td><a href="../aca-py">aca-py</a></td><td><a href="https://3569764573-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPVAMvpKH7PYzvXA6u6Cn%2Fuploads%2Fgit-blob-7c6e984dea8a819980980f97ae804f943838ce62%2FACA-Py.png?alt=media">ACA-Py.png</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cheqd.io/product/sdk/credo/did-linked-resources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
